package lexer

import "github.com/mmakaay/toml/parser"

func stateEndOfFile(l *parser.Parser) parser.StateFn {
	if l.AtEndOfFile() {
		l.Emit(parser.ItemEOF, "EOF") // todo Automate within parser?
	} else {
		l.UnexpectedInputError("end of file")
	}
	return nil
}
